Bug 1308437 - failed to register beaker machine to SAM server
failed to register beaker machine to SAM server
Status: CLOSED DUPLICATE of bug 1165193
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 04:02 EST by gaoshang
Modified: 2016-02-22 14:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 11:37:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
production.log (63.16 KB, text/plain)
2016-02-15 04:02 EST, gaoshang
no flags Details
katello-debug info (230.60 KB, application/x-gzip)
2016-02-16 21:25 EST, gaoshang
no flags Details

  None (edit)
Description gaoshang 2016-02-15 04:02:09 EST
Created attachment 1127194 [details]
production.log

Description of problem:
Install latest RHEL 6.8 on beaker machine, when register it to SAM server, error appears:
Problem creating unit Consumer [id = 2c90ec8852df9f890152e41345e6036a, type = ConsumerType [id=1000, label=system], getName() = intel-wildcatpass-01.ml3.eng.bos.redhat.com]

Version-Release number of selected component (if applicable):
RHEL compose: RHEL-6.8-20160212.2
SAM compose: SAM-1.4.1-RHEL-6-20141113.0
# rpm -qa | grep subscription-manager
subscription-manager-1.16.8-2.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1, install SAM candlepin-cert on beaker machine

#rpm -ivh http://10.8.50.236/pub/candlepin-cert-consumer-sam-06674d28-a8e3-44c6-b6e5-9cbeb9b173f1-1.0-1.noarch.rpm
Retrieving http://10.8.50.236/pub/candlepin-cert-consumer-sam-06674d28-a8e3-44c6-b6e5-9cbeb9b173f1-1.0-1.noarch.rpm
Preparing...                ##################################################
candlepin-cert-consumer-sam-##################################################

2, register beaker machine to SAM server, error appears

# subscription-manager register --user=admin --password=admin
Registering to: sam-06674d28-a8e3-44c6-b6e5-9cbeb9b173f1:443/sam/api
Problem creating unit Consumer [id = 2c90ec8852df9f890152e41345e6036a, type = ConsumerType [id=1000, label=system], getName() = intel-wildcatpass-01.ml3.eng.bos.redhat.com]

3, ssh to SAM server, check katello log, error exist, please check attachment production.log

Actual results:


Expected results:


Additional info:
Comment 2 Barnaby Court 2016-02-15 15:15:40 EST
Please attach the candlepin log from the SAM server when this occurred.
Comment 4 gaoshang 2016-02-16 21:25 EST
Created attachment 1127791 [details]
katello-debug info

Note You need to log in before you can comment on or make changes to this bug.